%{?drupal7_find_provides_and_requires}

%global module views_slideshow

Name:          drupal7-%{module}
Version:       3.1
Release:       2%{?dist}
Summary:       Views Slideshow can be used to create a slideshow of any content

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 3.1)
Requires:      php-pcre

%description
Views Slideshow can be used to create a slideshow of any content
(not just images) that can appear in a View.
Powered by jQuery, it is heavily customizable:
you may choose slideshow settings for each View you create.

This package provides the following Drupal module(s):
* %{module}


%prep
%setup -qn %{module}
cp -p %{SOURCE1} .


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%doc *.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Peter Borsa <peter.borsa@gmail.com> 3.1-1
- Initial package
